it-swarm-ja.com

MinGW GCCを4.8,4にダウングレードするにはどうすればよいですか?

私は大学でC++コースを始めていますが、彼らはすべての課題をGCC4.8.4でコンパイルできるように求めました。

Eclipseを介してWindows10でMinGWを使用することにしましたが、MinGW Installation Managerの任意のエントリの[バージョン]タブに表示されるのは、「FIXME:データシートが利用できません。このデータカテゴリのコンパイラはまだありません。実装されました。」

コマンドラインUbuntuでGCCをアンインストールし、関連するバージョンをインストールしようとしましたが、現在の(7.2)バージョンのままです...

何か案は?提案? G ++?何か?

前もって感謝します :)

2
djohoe28

MinGW-W64 プロジェクトには、古いバージョンのGCC for Windowsがあります Sourceforgeダウンロードページ 。おそらく、Toolchains targeting Win32またはToolchains targeting Win64フォルダーが必要になります。

利用可能なビルドはかなりの数あることに注意してください。ただし、推奨事項として、Personal\mingw-buildsサブフォルダーを確認することをお勧めします。ダウンロードするバージョン(threads-win32/threads-posix、sjlj/dwarf)については、 このStack Overflowの質問 および これ 必要に応じて確認してください。選択するバージョンのハンドルを取得し始めます。

0
Anaksunaman